RSH(1)

BEZEICHNUNG
rsh - ferne Shell

ÜBERSICHT
rsh [-Kdnx] [-k Bereich] [-l Benutzername] Rechner [Befehl]

BESCHREIBUNG
Rsh führt Befehl auf Rechner aus.

Rsh kopiert seine Standardeingabe auf den fernen Befehl, die Standardausgabe des fernen Befehls in seine Standardausgabe und die Standardfehlerausgabe des fernen Befehls in seine Standardfehlerausgabe. Unterbrechungs-, Beendigungs- und Abbruchsignale werden zum fernen Befehl weitergeleitet; rsh beendigt sich normalerweise, wenn dies der ferne Befehl auch macht. Die Optionen lauten wie folgt:

-K  Die Option -K schaltet sämtliche Kerberos-Authentifizierungen aus.

-d  Die Option -d schaltet die Socket-Fehlersuche (mittels setsockopt(2)) auf den für die Kommunikation mit dem fernen Rechner verwandten TCP -Sockets ein.

-l  Standardmäßig ist der ferne Benutzername identisch mit dem lokalen Benutzernamen. Die Option -l erlaubt die Angabe des fernen Benutzernamens. Kerberos-Authentifizierung wird verwandt und die Autorisierung wird mittels rlogin(1) bestimmt.

-n  Die Option -n leitet die Eingabe aus dem besonderen Gerät /dev/null um. Siehe den Abschnitt FEHLER in dieser Handbuchseite.

Falls kein Befehl angegeben ist, werden Sie an der fernen Maschine mittels rlogin(1) angemeldet.

Ungeschützte Shell-Metazeichen werden auf der lokalen Maschine ausgewertet, während geschützte Metazeichen auf der fernen Maschine ausgewertet werden. Beispielsweise hängt der Befehl

    rsh Andererrechner cat Fernedatei >> Lokaledatei

die ferne Datei Fernedatei an die lokale Datei Lokaledatei an, während

    rsh Andererrechner cat Fernedatei ">>" Anderefernedatei

Fernedatei an Anderefernedatei anhängt.

DATEIEN
/etc/hosts

SIEHE AUCH
rlogin(1), kerberos(3), krb_sendauth(3), krb_realmofhost(3)

GESCHICHTE
Der Befehl rsh erschien in 4.2BSD.

FEHLER
Falls Sie csh(1) verwenden und rsh in den Hintergrund legen, ohne seine Eingabe vom Terminal wegzulenken, wird es blockieren, selbst falls vom fernen Befehl keine Leseanforderungen geschickt werden. Falls keine Eingabe gewünscht ist, sollten Sie die Eingabe von rsh mittels der Option -n nach /dev/null umlenken.

Sie können mittels rsh keinen interaktiven Befehl (wie rogue(6) oder vi(1)) ausführen; verwenden Sie stattdessen rlogin(1).

Stoppsignale stoppen nur den lokalen rsh -Prozess; dies ist wohl falsch, aber aus Gründen, die hier zu kompliziert zu beschreiben sind, derzeit schwer zu beheben.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3: https://www.gnu.org/licenses/gpl-3.0.html oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.